## org.apache.fop.fo.pagination
Class ConditionalPageMasterReference

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.ConditionalPageMasterReference

public class ConditionalPageMasterReference
extends FObj

Inner Class Summary
`static class` `ConditionalPageMasterReference.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`ConditionalPageMasterReference(FObj parent, PropertyList propertyList)`

Method Summary
`protected int` `getBlankOrNotBlank()`
`protected java.lang.String` `getElementName()`
`java.lang.String` `getMasterName()` Returns the "master-name" attribute of this page master reference
`protected int` `getOddOrEven()`
`protected int` `getPagePosition()`
`protected boolean` `isValid(int currentPageNumber, boolean thisIsFirstPage, boolean isEmptyPage)`
`static FObj.Maker` `maker()`
`protected void` `setBlankOrNotBlank(int blankOrNotBlank)`
`protected void` `setMasterName(java.lang.String masterName)`
`protected void` `setOddOrEven(int oddOrEven)`
`protected void` `setPagePosition(int pagePosition)`
`protected void` `validateParent(FObj parent)`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalPageMasterReference

    public ConditionalPageMasterReference(FObj parent,
                                          PropertyList propertyList)
                                   throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### setMasterName

    protected void setMasterName(java.lang.String masterName)

### getMasterName

    public java.lang.String getMasterName()

  Returns the "master-name" attribute of this page master reference

### isValid

    protected boolean isValid(int currentPageNumber,
                              boolean thisIsFirstPage,
                              boolean isEmptyPage)

### setPagePosition

    protected void setPagePosition(int pagePosition)

### getPagePosition

    protected int getPagePosition()

### setOddOrEven

    protected void setOddOrEven(int oddOrEven)

### getOddOrEven

    protected int getOddOrEven()

### setBlankOrNotBlank

    protected void setBlankOrNotBlank(int blankOrNotBlank)

### getBlankOrNotBlank

    protected int getBlankOrNotBlank()

### getElementName

    protected java.lang.String getElementName()

### validateParent

    protected void validateParent(FObj parent)
                           throws FOPException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.